- Qt 5.15
- Qt Sensors
- C++ Classes
- QHumiditySensor
- Qt 5.15.11 Reference Documentation

# QHumiditySensor Class

The QHumiditySensor class is a convenience wrapper around QSensor. More...

Header: | #include <QHumiditySensor>
qmake: | QT += sensors
Since: | Qt 5.9
Inherits: | QSensor

This class was introduced in Qt 5.9.

- List of all members, including inherited members

## Public Functions

| QHumiditySensor(QObject *parent = Q_NULLPTR)
virtual | ~QHumiditySensor()
QHumidityReading * | reading() const

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QHumidityReading instead of a QSensorReading.

For details about how the sensor works, see QHumidityReading.

See also QHumidityReading.

## Member Function Documentation

### QHumiditySensor::QHumiditySensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QHumiditySensor::~QHumiditySensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QHumidityReading *QHumiditySensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().